GSTR-2A IMPGSEZ
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2a/impgsez/{year}/{month} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2a/impgsez/{year}/{month}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2a/impgsez/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"error": {
"error_cd": "RET13510",
"message": "No Record found for the provided Inputs"
},
"status_cd": "0"
},
"timestamp": 1763446641000,
"transaction_id": "93bf82a7-5e2b-410b-9ebf-9c2009fbfcf5"
}GSTR-2A IMPGSEZ
Get all amended credit/debit notes in GSTR-2A for a return period for authenticated taxpayer
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-2a
/
impgsez
/
{year}
/
{month}
GSTR-2A IMPGSEZ
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.
API version
API key for identification
Query Parameters
Filter to fetch data from specified date. E.g., 28/01/2025
Example:
"10/12/2021"
Was this page helpful?
⌘I